.woocommerce-cart-form {
    max-height: 401px;
    overflow-y: scroll ;
}

.woocommerce-cart .woocommerce {
    flex-direction: column;
}

.woocommerce-cart .woocommerce-cart-form .shop_table td.product-remove {
    border-left: 0px;
}

.woocommerce-cart .woocommerce-cart-form .shop_table td {
    background: none;
}

.woocommerce-cart .woocommerce-cart-form .shop_table .product-price .woocommerce-Price-amount {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 19px;
    text-align: right;
    letter-spacing: 0.666667px;
    color: #FFFFFF;
}

.woocommerce-cart .woocommerce-cart-form .shop_table .product-name {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
    display: flex;
    align-items: center;
    position: absolute;
    padding: 0px;
    left: 35%;
    top: -25%;
    max-width: 130px;
}


.woocommerce-cart .woocommerce-cart-form .shop_table .product-subtotal {
    display: none;
}

.woocommerce-cart-form__cart-item.cart_item {
    max-width: 360px;
    position: relative;
}

.woocommerce-cart .woocommerce-cart-form {
    padding-right: 0px;
    width: 100%;
}

.woocommerce-cart .woocommerce-cart-form .shop_table .product-quantity .wac-qty-button {
    background: #A9000B;
    padding: 0px;
    height: 28px;
    width: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    flex-direction: column;
    text-align: center;
    font-size: 14px;
    border: none;
}

.woocommerce-cart .woocommerce-cart-form .shop_table .product-quantity .qty {
    border-left: 0px;
    border-right: 0px;
}

.mini-cart-aside__wrap .woocommerce .quantity .qty {
    width: 40px;
}

.mini-cart-aside__wrap .woocommerce .quantity.wac-quantity {
    border: 2px solid #282a2e;
    border-radius: 20px;
    padding: 5px;  
}

.mini-cart-aside__wrap .woocommerce .product-thumbnail {
    position: absolute;
    left: 0%;
    padding: 0px;
    display: flex;
    align-items: center; 
}


.mini-cart-aside__wrap .woocommerce  .product-price {
    position: absolute;
    right: 5%;
    top: 5%;
    height: 50px !important;
    padding: 0px;  
}

.mini-cart-aside {
    padding-right: 35px;
}

.mini-cart-aside__wrap .woocommerce  .product-quantity {
    position: absolute;
    top: 63%;
    left: 34%;
    height: 50px;
    padding: 0px;  
}


.woocommerce-cart .woocommerce-cart-form .shop_table td.product-remove .remove {
    position: absolute;
    right: 3%;
    color: #fff !important;
    font-size: 30px;
    bottom: 13%;
}

.form-title { 
    font-family: "Exo 2";
    font-style: normal;
    font-weight: bold;
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.833333px;
    color: #FFFFFF;
    margin-bottom: 0px;
}


.woocommerce-cart .woocommerce-cart-form .shop_table .gift-product .product-price, .woocommerce-cart .woocommerce-cart-form .shop_table .gift-product .product-quantity {
    color: transparent;
    opacity: 0;
    display: none; 
}

.woocommerce-cart .woocommerce-cart-form .shop_table .woocommerce-cart-form__cart-item.cart_item.gift-product .product-name {
    left: 21%;
    top: -2%;
    max-width: 39%;  
}

.woocommerce-cart-form__cart-item.cart_item.gift-product .product-thumbnail img {
    height: 45px !important;
    width: 45px !important;
    background: #282a2e;
    border-radius: 11px;
}

.woocommerce-cart-form__cart-item.cart_item.gift-product  .product-price {
    display: block !important;
    opacity: 1 !important;
    font-family: "Exo 2";
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 19px;
    text-align: right;
    letter-spacing: 0.666667px;
    color: #FFFFFF !important;
}

.mini-cart-aside__wrap .woocommerce .woocommerce-cart-form__cart-item.cart_item.gift-product .product-price {
    top: 25%;
}

.woocommerce-cart .woocommerce>.cart-collaterals {
    width: 100%;
    padding-right: 20px;
}

.fugu-cart-order-total .order-total p {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
}

.fugu-cart-order-total p span {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.833333px;
    color: #FFFFFF; 
}

.fugu-cart-warning {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 130%;
    color: rgba(255, 255, 255, 0.7);
    display: flex;
    margin-bottom: 0px;
    border-bottom: 1px solid #979797;
    padding-bottom: 30px;
}

.fugu-cart-warning::before {
    content: url('/wp-content/uploads/2021/11/group-1062.svg');
    padding-right: 9px;
}

.fugu-cart-order-total .order-total {
    padding-top: 30px;
    margin-bottom: 0px;
}


.mini-cart-aside__wrap .cart_totals  .checkout-button.button , .return-to-shop-empty .back-to-menu , #place_order ,
.fugu-card-code-container .button ,
#payment .button.alt.checkout_close_btn ,
.fugu-order-thankyou .button.wc-forward {
    background: #A9000B !important;
    border-radius: 50px !important;
    width: 100% !important;
    display: flex;
    align-items: center !important;
    justify-content: center !important;
    max-width: 100% !important;
    transition: all 0.3s ease-in-out;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-right: 65px;
    padding-left: 65px;
    font-family: "Exo 2";
    font-style: normal !important;
    font-weight: 500 !important;
    font-size: 18px !important;
    line-height: 22px !important;
    text-align: center !important;
    letter-spacing: 0.583333px !important;
    color: #FFFFFF;
    margin-bottom: 20px !important;
}

.mini-cart-aside__wrap .cart_totals  .checkout-button.button:hover , #place_order:hover ,
.fugu-card-code-container .button:hover ,
#payment .button.alt.checkout_close_btn:hover ,
.fugu-order-thankyou .button.wc-forward:hover {
    background: #FAFAFA !important;
    color: var(--main-color);
}

.woocommerce-cart .woocommerce>.cart-collaterals .cart_totals .wc-proceed-to-checkout {
    padding-top: 30px;
    text-align: center;
}


.woocommerce-cart .woocommerce-cart-form .shop_table .gift-product td {
    height: 30px;
}

.back-to-menu {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
    text-decoration: none;
    border-bottom: 1px dashed #fff;
    transition: all 0.3s ease-in-out;
}

.back-to-menu:hover {
    color: var(--main-color); 
    border-bottom: 1px dashed var(--main-color); ;
}

.woocommerce-cart .woocommerce-cart-form .shop_table img {
    width: 120px;
}

.woocommerce-cart-form__cart-item.cart_item .product-thumbnail a {
    min-height: 111px;
    max-height: 111px;
    min-width: 111px;
    max-width: 111px;
    display: flex;
    align-items: center;
    background: #282a2e;
    border-radius: 15px; 
}


.woocommerce-cart .woocommerce-cart-form .shop_table td {
    height: 115px;
}


.return-to-shop-empty {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.return-to-shop-empty h3 {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 130%;
    text-align: center;
    color: #FFFFFF;
    padding-top: 35px;
}

.return-to-shop-empty p {   
    font-family:"Exo 2";
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 130%;
    text-align: center;
    color: #FFFFFF;
    max-width: 56%;
}


.return-to-shop-empty .back-to-menu {
    border-bottom: 0px;
}

.return-to-shop-empty .back-to-menu:hover {
    background: #FAFAFA !important;
}






.woocommerce-cart .woocommerce-cart-form .shop_table .product-name a {
    min-height: 35px;
}






.woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {
    display: none;
}


.checkout.woocommerce-checkout {
    display: flex;
}

.checkout.woocommerce-checkout  .checkout-page-block {
    width: 55%;
    background: #1E2023;
    border-radius: 5px;
}

.checkout.woocommerce-checkout .woocommerce-checkout-review-order {
    width: 45%;
    margin-left: 45px;
    background: #1E2023;
    border-radius: 5px;
}


.checkout-page-block .fugu-loyalty-program {
    display: none;
}

.woocommerce-checkout .woocommerce form .woocommerce-billing-fields .form-row-first, .woocommerce-checkout .woocommerce form .woocommerce-billing-fields .form-row-last {
    width: 100%;
}

.apartment-info, .person-info {
    width: 100%;
}


/*check out*/


.checkout-page-block {
    padding-left: 40px;
    padding-top: 30px;
    padding-right: 48px; 
    position: relative;
}

.woocommerce-billing-fields h3 {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 140%;
    color: #FFFFFF;
}

.woocommerce-checkout h3 {
    border-bottom: 0px;
}

.woocommerce-checkout .woocommerce form .form-row input.input-text, .woocommerce-checkout .woocommerce form .form-row textarea {
    border-bottom: 0px;
    background: #282A2E;
    border: 1px solid #282A2E;
    box-sizing: border-box;
    border-radius: 8px;
    min-height: 48px;
    padding-left: 15px;
}

.woocommerce-checkout .woocommerce form .form-row input.input-text:focus {
    border-color: transparent;
}

.woocommerce form .form-row label {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 130%;
    color: #FFFFFF;
    padding-bottom: 8px;
}


.woocommerce form .form-row {
    margin-bottom: 15px;
}

.apartment-info #billing_new_fild6_field {
    position: absolute;
    top: 47.5%;
    width: 246px !important;
    right: 8%;
}

#billing_new_fild8_field {
    width: 246px !important;
}

.apartment-info #billing_new_fild7_field , .apartment-info #billing_new_fild11_field , .apartment-info #billing_new_fild5_field {
    width: 33% !important;
}

.apartment-info #billing_new_fild7_field , .apartment-info #billing_new_fild11_field {
    padding-right: 13px;
}

#billing_new_fild15_field {
    order: 4;
}


#billing_new_fild15_field input[type="checkbox"] , #billing_new_fild16_field  input[type="checkbox"] , .fugu-birthday-block input[type="checkbox"] , .fugu-card-disc-block input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    display: inline-block;
    width: 16px;
    height: 16px;
    padding: 0;
    vertical-align: top;
    outline: none;
    background: transparent;
    cursor: pointer;
    border: 2px solid #282A2E;
    transition: all 0.5s;
    margin: 0px;
    margin-right: 9px;
    transition: all 0.3s ease-in-out;
}

#billing_new_fild15_field  input[type=checkbox]:checked , #billing_new_fild16_field  input[type="checkbox"]:checked , .fugu-birthday-block input[type="checkbox"]:checked , .fugu-card-disc-block input[type="checkbox"]:checked {
    content: url('/wp-content/uploads/2021/11/vector-4.svg');
    transition: all 0.3s ease-in-out;
}

.woocommerce form .form-row label.checkbox, .woocommerce-page form .form-row label.checkbox {
    display: flex;
    align-items: center;
}


.person-info .form-row {
    width: 33% !important;
}

.person-info .form-row.form-row-last {
    padding-right: 13px;
}

#billing_new_fild16_field {
    order: 10;
}

#billing_new_fild17_field {
    order: 11;
    width: 100%;
}


#billing_new_fild17_field {
    opacity: 0;
}

.person-info {
    flex-wrap: wrap;
}

.person-info h2 , .form-row.form-row-first.street h2 {
    width: 100%;
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 140%;
    color: #FFFFFF;
    padding-top: 20px;
}

.form-row.form-row-first.street h2 {
    padding-top: 5px;
}

#order_review {
    padding-top: 30px;
    padding-left: 55px;
    padding-right: 55px;
}

#shipping_method , .wc_payment_methods.payment_methods.methods {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#shipping_method li , .wc_payment_methods.payment_methods.methods li {
    min-width: 182px;
    min-height: 65px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: #282A2E;
    border: 1px solid #393C49;
    box-sizing: border-box;
    border-radius: 8px;  
    position: relative;
}

#shipping_method li input {
    cursor: pointer;
    opacity: 0;
    position: absolute;
    width: 100%;
    height: 100%; 
}

#shipping_method li:first-child label::before {
    content: url('/wp-content/uploads/2021/11/vector.svg');
    position: absolute;
    top: 38%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#shipping_method li:last-child label::before {
    content: url('/wp-content/uploads/2021/11/vector-1.svg');
    position: absolute;
    top: 38%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#shipping_method li label {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 130%;
    color: #ABBBC2;
    padding-top: 25px;
}


#shipping_method li.checked-field {
    background: #382427 !important;
    border: 1px solid #A9000B !important;
}

#shipping_method li.checked-field label , .new-payment  li.checked-field label {
    color: #fff;
}


#shipping_method li.checked-field::before {
    content: url('/wp-content/uploads/2021/11/group-1064.png') !important;
    position: absolute;
    top: 26%;
    left: 93%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.fugu-shop-msgs.fugu-list {
    display: none;
}

.new-payment .wc_payment_methods.payment_methods.methods , .new-payment h3 {
    display: flex !important;
}

.new-payment .shop_table , .new-payment  #place_order {
    display: none !important;
}

.woocommerce-checkout-payment .wc_payment_methods.payment_methods.methods , #payment h3 {
    display: none !important;
}


.new-payment .wc_payment_methods.payment_methods.methods {
    display: flex !important;
    justify-content: space-between;
}


.new-payment .wc_payment_methods.payment_methods.methods li input {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}


.woocommerce-checkout .wc_payment_methods li img , .payment_box.payment_method_wayforpay {
    display: none !important;
}

.woocommerce-checkout .wc_payment_methods li input {
    display: block;
}

.woocommerce-checkout .wc_payment_methods li input + label:before {
    display: none;
}


.wc_payment_methods.payment_methods.methods li {
    min-width: 115px;
    max-width: 115px;
}

.woocommerce-checkout .wc_payment_methods li input + label {
    padding-left: 0px;
}

.new-payment .wc_payment_methods.payment_methods.methods li:not(:last-child) {
    margin-right: 10px !important;
}

.new-payment .wc_payment_methods.payment_methods.methods .wc_payment_method.payment_method_cod label::after , 
.new-payment .wc_payment_methods.payment_methods.methods .wc_payment_method.payment_method_cheque label::after , 
.new-payment .wc_payment_methods.payment_methods.methods .wc_payment_method.payment_method_wayforpay label::after  {
    content: url('/wp-content/uploads/2021/11/wallet.svg');
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
}


.new-payment .wc_payment_methods.payment_methods.methods .wc_payment_method.payment_method_cheque label::after {
    content: url('/wp-content/uploads/2021/11/group-1064-1.svg');
}


.new-payment .wc_payment_methods.payment_methods.methods .wc_payment_method.payment_method_wayforpay label::after  {
    content: url('/wp-content/uploads/2021/11/group-1065.svg');
}

.woocommerce-checkout .wc_payment_methods li input + label {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 130%;
    color: #ABBBC2;
    padding-top: 25px;
}

.new-payment #payment > h3 {
    display: block !important; 
}


.wayforpay-birthday-disabled.payment_box {
    display: none;
}


.fugu-radio input {
    display: block;
}

.fugu-radio input + label:before {
    display: none;
}

.fugu-radio {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.fugu-radio label {
    padding-left: 0px !important;
}

.fugu-birthday-block , .fugu-card-disc-block {
    display: flex;
    align-items: center;
}

.fugu-vip-card {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    padding-left: 30px;
    justify-content: flex-end;
    background: #282A2E;
    mix-blend-mode: normal;
    opacity: 0.95;
    border: 1px solid #393C49;
    box-sizing: border-box;
    border-radius: 7px;
    padding-top: 17px;
    padding-bottom: 17px;
    max-height: 80px;
    margin-bottom: 22px;
    position: relative;
    min-height: 80px;
}

.fugu-vip-card label {
    max-width: 115px;
    min-width: 115px;
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
    margin-right: 15px;
}

.fugu-vip-card .fugu-vip-card-value {
    color: #fff;
    border-radius: 5px; 
    border: 0px;
    min-width: 170px;
    width: 90%;
    position: absolute;
    left: 50%;
    background: #282A2E;
    top: 60%;
    transform: translate(-50%, -50%);
}


.fugu-vip-card input:focus-visible {
    outline: none;
}

.form-row.place-order {
    display: none;
}


.fugu-vip-card input::placeholder {  
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
}

.fugu-vip-card label::after {
    content: url('/wp-content/uploads/2021/11/coupon-3.svg');
    content: url('/wp-content/uploads/2021/11/coupon-3.svg');
    position: absolute;
    top: 52%;
    left: 53%;
    transform: translate(-50%, -50%);
}

.form-row.place-order {
    display: block;
}

.new-payment #payment {
    border-top: 0px !important;
    border-radius: 0px;  
}

.woocommerce-checkout #payment {
    border-top: 1px solid #979797;
    border-radius: 0px !important;  
}


.woocommerce-checkout .woocommerce-checkout-review-order-table tfoot tr , 
.woocommerce-checkout .woocommerce-checkout-review-order-table tfoot .order-total {
    justify-content: space-between;
}

.woocommerce-checkout .woocommerce-checkout-review-order-table tfoot tr th , 
.woocommerce-checkout .woocommerce-checkout-review-order-table tfoot .order-total th , 
.total-table .order-total th {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
}

.woocommerce-checkout .woocommerce-Price-amount.amount {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
    letter-spacing: 0.833333px;
    color: #FFFFFF;
}

.woocommerce-checkout .woocommerce table.shop_table {
    border-bottom: 1px solid #979797 !important;
    margin-bottom: 0px;
    padding-top: 10px;
    border-radius: 0px;
    padding-bottom: 10px;
}

.woocommerce-checkout .cart-subtotal {
    display: flex !important;
    justify-content: space-between;
}

.total-table {
    width: 100%;
    padding-top: 20px;
}

.total-table th {
    padding: 9px 12px;  
}

.total-table td {
    width: 150px;
    text-align: right;  
    padding: 9px 12px;
}

.total-table .order-total {
    display: flex;
    justify-content: space-between;
}


.new-payment .total-table {
    display: none;
}

.show-coupon , .btn-value-fugu {
    background: #A9000B;
    min-height: 45px;
    min-width: 160px;
    border-radius: 5px; 
    border: 0px;
    min-width: 170px;
    max-width: 170px;
    padding-left: 50px;
    position: absolute;
    display: flex;
    align-items: center;
    right: 10%;
    cursor: pointer;
    text-decoration: none;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
}

.btn-value-fugu {
    padding-left: 0px !important;
    justify-content: center;
}

.show-coupon:hover , .btn-value-fugu:hover  {
    text-decoration: none;
}


.disable {
    opacity: 0.4;
    pointer-events: none;
}


.fugu-card-code-container .button {
    color: #fff !important;
    border-radius: 50px !important;
}

.fugu-card-code-container .button:hover {
    color: var(--main-color) !important;
}


.fugu-birthday-block {
    padding-bottom: 10px;
}


.shipping-method h3 {
    margin-bottom: 0px;
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 140%;
    color: #FFFFFF;
}

.payment-old {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 140%;
    color: #FFFFFF;
    padding-left: 5px;
}










.new-payment .button.checkout_close_btn {
    display: none !important; 
}

.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details h2 {
    display: flex;
    align-items: center;
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 130%;
    text-align: center;
    color: #FFFFFF;
}

.woocommerce-order-received .fugu-order-thankyou .woocommerce-thankyou-order-details li strong {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 130%;
    text-align: center;
    color: #FFFFFF;
}



.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details h2 li {
    padding-right: 5px;
    padding-left: 5px;
    float: none;
    width: auto;
}


.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
    margin-bottom: 0px;
}

.fugu-order-thankyou p {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 130%;
    text-align: center;
    color: #FFFFFF;
    max-width: 315px;
    margin: 0 auto;
    margin-bottom: 25px;
}

.fugu-order-thankyou {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;  
    margin: 0 auto;
    width: 32%;
}





.woocommerce-cart .woocommerce-cart-form .shop_table {
    margin-bottom: 0px;
}

.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover {
    padding-right: unset;
    padding-left: unset;
}



.mini-cart-aside__wrap .cart_totals.calculated_shipping .shop_table.shop_table_responsive {
    display: none;
}


.woocommerce-checkout .mini-cart-aside__wrap .woocommerce table.shop_table {
    border-bottom: 0px !important;
}

.woocommerce-checkout .fugu-card-code{
    background: #1E2023;
}

.woocommerce-checkout .fugu-card-code-container .form-row input.input-text {
    border-bottom: 0px;
}


.woocommerce-order-received .fugu-order-thankyou {
    padding-top: 50px;
    padding-bottom: 50px;
}






.wc_payment_method.payment_method_cod input:checked + label , .wc_payment_method.payment_method_wayforpay input:checked + label {
    background: #382427 !important;
    border: 1px solid #A9000B !important;
    width: 100%;
    height: 100%;
    border-radius: 7px;
    text-align: center;
    padding-top: 33px;
    padding-bottom: 10px;
    color: #fff;
}

.wc_payment_method.payment_method_cod input:checked + label::after , .wc_payment_method.payment_method_wayforpay input:checked + label::after {
    top: 38% !important;
}


.wc_payment_method.payment_method_cheque input:checked + label , .wc_payment_method.payment_method_wayforpay input:checked + label{
    background: #382427 !important;
    border: 1px solid #A9000B !important;
    width: 100%;
    height: 100%;
    border-radius: 7px;
    text-align: center;
    padding-top: 33px;
    padding-bottom: 10px;
    color: #fff;
}




.wc_payment_method.payment_method_cheque input:checked + label::after , .wc_payment_method.payment_method_cod input:checked + label::after , .wc_payment_method.payment_method_wayforpay input:checked + label::after {
    content: url('/wp-content/uploads/2021/11/group-1064.png') !important;
    position: absolute;
    top: 26%;
    left: 93%;
    transform: translate(-50%, -50%);
    z-index: 2;
}


.wc_payment_method.payment_method_wayforpay {
    opacity: 0.2;
    pointer-events: none;
}

.woocommerce-checkout #categories {
    display: none;
}

.woocommerce-checkout #footer {
    display: none;
}

.woocommerce-checkout .fugu-card-code {
    bottom: -100%;
}

.checkout-click {
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 20px;
    display: flex;
    align-items: center;
    color: #DEE6F1;
    position: relative;
    padding-left: 10px;
    transition: all 0.3s ease-in-out;
}

.checkout-click:hover {
    color: #A9000B;
}

.checkout-click::before {
    content: '';
    position: absolute;
    width: 7px;
    height: 7px;
    border-right: 2px solid var(--main-color);
    border-bottom: 2px solid var(--main-color);
    top: 60%;
    left: -2%;
    transform: translateY(-50%) rotate(135deg);
    margin-top: -2px;
    transition: all 0.3s ease-in-out;
}


.checkout-click:hover::before {
    left: -4%;
}

.woocommerce-checkout #main {
    margin-top: 0px;
}

.woocommerce-checkout .page-title {
    margin: 30px auto 0;
}

.checkout-mobile {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 20px;
    color: #DEE6F1;
    min-width: 30px;
}

.checkout-mobile:hover {
    color: #A9000B;
}

.fugu-vip-card p {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 140%;
    color: #3F4547;
    position: absolute;
    top: 19%;
    left: 5.5%;
    opacity: 0;
}

#vip_coupon_code {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
}


.woocommerce-billing-fields__field-wrapper input::placeholder {
    font-family: "Exo 2";
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 140%;
    color: #3F4547;
}


.fugu-birthday-block {
    position: relative;
}

.fugu-birthday-block svg {
    position: absolute;
    right: -11%;
    top: 8%;
    cursor: pointer;
}



.fugu-birthday-block svg circle , .fugu-vip-card svg circle {
    transition: all 0.3s ease-in-out;
}

.fugu-birthday-block svg:hover circle , .fugu-card-disc-block svg:hover circle , .fugu-vip-card svg:hover circle  {
    fill: #a9000b;
}

.fugu-birthday-block svg path , .fugu-card-disc-block svg path , .fugu-vip-card svg path {
    transition: all 0.3s ease-in-out;  
}

.fugu-birthday-block svg:hover path , .fugu-card-disc-block svg:hover path , .fugu-vip-card svg:hover path {
    fill-opacity: 1;
}

.information-block {
    position: absolute;
    background: #2E3238;
    border-radius: 10px;
    padding-right: 5px;
    padding-left: 5px;
    top: 100%;
    right: -19%;
    z-index: 2;
    width: 250px;
    text-align: left;
    font-size: 12px;
    padding: 10px;
    visibility: hidden;
    opacity: 0;
}

.information-block::before {
    content: "";
    position: absolute;
    bottom: 100%;
    right: 10px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 10px 10px 10px;
    border-color: transparent transparent #2e3238 transparent;   
}

.fugu-card-disc-block {
    position: relative;
}

.fugu-card-disc-block svg {
    position: absolute;
    right: -16%;
    top: 15%; 
}

.information-block.card {
    top: 150%;
    right: -64%;
    opacity: 0;
    visibility: hidden;
}

.information-block.card::before {
    right: 60px; 
}




.fugu-vip-card svg {
    position: absolute;
    right: 55%;
    top: 63%;
    transform: translate(-50%, -50%);
}


.information-block.vip {
    opacity: 1;
    visibility: visible;
    right: -3%;
    top: -35%;
    opacity: 0;
    visibility: hidden;
}

.information-block.vip::before {
    bottom: -15%;
    transform: rotate(181deg);
    left: 8px; 
    right: unset;
}

.checkout-click p {
    margin-bottom: 0px;
}

#payment #shipping_method li:last-child{
    display: none;
}

#payment #shipping_method li:first-child label::before {
    display: none;
}

#payment #shipping_method li {
    border-radius: 0px;
    background: transparent;
    border: 0px;   
    width: 100%;
    pointer-events: none;
}

#payment #shipping_method li:first-child label {
    display: flex;
    justify-content: space-between;
    width: 100%; 
    font-family: "Exo 2";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.583333px;
    color: #FFFFFF;
}

#order_review #shipping_method li label .woocommerce-Price-amount.amount {
    display: none !important;
}

#order_review #payment  #shipping_method li label .woocommerce-Price-amount.amount , .woocommerce-checkout .woocommerce-checkout-review-order-table tfoot .woocommerce-shipping-totals {
    display: flex !important;
}

.woocommerce-checkout .woocommerce-checkout-review-order-table tfoot tr td {
    width: 100%;
}


.shop_table .woocommerce-shipping-totals.shipping th {
    display: none;
}


.shop_table #shipping_method {
    max-height: 40px;
}

.free {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.shop_table #shipping_method li label {
    padding-top: 0px;
}

.cart-discount th {
    width: 40%;
}

.shop_table .woocommerce-shipping-totals.shipping {
    max-height: 40px;
}

.woocommerce-checkout .woocommerce-error {
    position: absolute;
    z-index: 2;
    top: -100px;
}








@media screen and (min-width: 1537px) {
    .mini-cart-aside__wrap .woocommerce {
        height: 100%;
        justify-content: space-between;
    }

    .woocommerce-cart-form {
        max-height: 100%;
        height: 60%;
        overflow-y: scroll;
    }
}





@media screen and (max-width: 1280px) {
    .return-to-shop-empty img {
        max-width: 50%;
    }

    .woocommerce-cart-form {
        height: calc(100% - 275px);
        overflow-y: scroll;
    }

    .woocommerce-cart .woocommerce>.cart-collaterals .cart_totals .wc-proceed-to-checkout {
        padding-top: 15px;
    }
    
    .fugu-cart-warning {
        padding-bottom: 15px;
    }

    .fugu-cart-order-total .order-total {
        padding-top: 15px;
    }

    .mini-cart-aside__wrap .woocommerce {
        height: 100%;
        justify-content: space-between;
    }
}

@media screen and (max-width: 1280px) {
    .woocommerce-order-received .fugu-order-thankyou {
        padding-top: 0px;
        padding-bottom: 0px;
    }

    .fugu-order-thankyou img {
        width: 45%;
        margin-bottom: 20px;
    }
}



@media screen and (max-width: 1024px) {
    .woocommerce .woocommerce-cart-form {
        max-height: 400px;
    }
    .woocommerce-billing-fields__field-wrapper .form-row.form-row-first.street input ,
    .woocommerce-billing-fields__field-wrapper #billing_new_fild6 {
        max-width: 80%; 
    }
    .woocommerce-billing-fields__field-wrapper .apartment-info #billing_new_fild6_field {
        top: 47.5%;
        right: 0%;
    }
    .fugu-loyalty-program .fugu-vip-card p , 
    .fugu-loyalty-program .fugu-vip-card label {
        font-size: 11px;
    }
    .fugu-loyalty-program .show-coupon {
        right: 5%;  
    }
    .fugu-loyalty-program .fugu-vip-card svg {
        width: 4%;
        position: absolute;
        right: 51.5%;
        top: 54%;
        transform: translate(-50%, -50%);
    }
    .shipping-method #shipping_method li, .wc_payment_methods.payment_methods.methods li {
        min-width: 160px; 
    }
    #add_payment_method #payment ul.payment_methods li, .woocommerce-cart #payment ul.payment_methods li, .woocommerce-checkout #payment ul.payment_methods li {
        max-width: 100px;
        min-width: 100px;
    }
    .woocommerce-checkout .wc_payment_methods li input + label {
        font-size: 13px !important;
    }
    #shipping_method li {
        min-width: 150px !important; 
    }
    .woocommerce form .form-row label {
        font-size: 13px;
    }
}


@media screen and (max-width: 780px) {
    .woocommerce-cart .woocommerce-cart-form .shop_table td {
        background-color: transparent !important;
    }

    .mini-cart-aside__wrap .woocommerce {
        height: unset !important;
    }

    .woocommerce-cart-form {
        max-height: unset;
    }

    .mini-cart-aside__wrap {
        overflow-y: scroll;
    }

    .mini-cart-aside {
        width: 100%;
        padding: 30px 15px;
        padding-right: 5px;
        right: -100%;
    }

    .woocommerce-cart .woocommerce-cart-form .shop_table .product-name {
        text-align: left !important;
    }

    .woocommerce-cart .woocommerce-cart-form .shop_table {
        margin-bottom: 0px;
    }

    .woocommerce-cart .woocommerce>.cart-collaterals {
        padding-right: 10px;
    }

    .woocommerce-cart .woocommerce-cart-form .shop_table .product-thumbnail>a {
        display: flex;
        text-align: unset;
    }

    .woocommerce-cart-form__cart-item.cart_item {
        max-width: 100%;
    }
}

@media screen and (max-width: 780px) {
    .checkout.woocommerce-checkout {
        flex-direction: column;
        max-width: 100%;
    }

    .woocommerce-checkout .woocommerce form .form-row input.input-text, .woocommerce-checkout .woocommerce form .form-row textarea {
        width: 100%;
    }

    .checkout.woocommerce-checkout .woocommerce-checkout-review-order {
        width: 100%;
        margin-left: 0px;
    }

    .checkout.woocommerce-checkout .checkout-page-block {
        width: 100%;
    }

    #shipping_method, .wc_payment_methods.payment_methods.methods {
        flex-direction: column;
        align-items: center;  
    }

    .woocommerce-checkout #payment ul.payment_methods {
        flex-direction: column;
        align-items: flex-start;
    }

    .apartment-info {
        flex-direction: column;
    }

    .person-info {
        flex-direction: column;
    }

    #order_review {
        padding: 0px;
    }

    .apartment-info #billing_new_fild6_field {
        position: relative;
        top: unset;
        width: unset;
        right: unset;
    }

    .checkout-page-block {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

    #billing_new_fild8_field , .apartment-info #billing_new_fild6_field ,
    .apartment-info #billing_new_fild7_field, .apartment-info #billing_new_fild11_field, .apartment-info #billing_new_fild5_field  {
        width: 100%!important;
    }

    .apartment-info #billing_new_fild7_field, .apartment-info #billing_new_fild11_field {
        padding-right: 0px;
    }

    .woocommerce-checkout .person-info .form-row {
        width: 100% !important;
    }

    .checkout-page-block {
        margin-bottom: 20px;
    }

    .apartment-info .form-row.form-row-last , 
    .person-info .form-row.form-row-last {
        padding-bottom: 10px;
    }

    .person-info .form-row.form-row-last {
        padding-right: 0px;
    }

    .woocommerce ul#shipping_method li {
        width: 100%;
    }

    #add_payment_method #payment ul.payment_methods li, .woocommerce-cart #payment ul.payment_methods li, .woocommerce-checkout #payment ul.payment_methods li {
        min-width: 100%;
    }

    .wc_payment_method.payment_method_cheque {
        margin-top: 10px !important;
        margin-bottom: 10px !important;
    }

    #order_review {
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 30px;
    }

    .show-coupon , .btn-value-fugu {
        min-width: 140px;
        max-width: 140px; 
    }

    .fugu-vip-card {
        padding-left: 15px;
        padding-right: 15px; 
    }

    .fugu-vip-card input {
        margin-right: 0px;
    }
}


@media screen and (max-width: 780px) {
    .fugu-order-thankyou {
        width: 100%;
    }
}

@media screen and (max-width: 780px) {
    .information-block {
        right: -55%;
    }

    .information-block::before {
        right: 73px;
    }

    .information-block.card {
        right: -100%;
    }

    .information-block.card::before {
        right: 105px;
    }

    .fugu-vip-card label {
        font-size: 11px;
        line-height: 15px; 
    }

    .information-block.vip {
        right: 8%;
        top: -39%;
    }

    .information-block.vip::before {
        left: 49px !important; 
    }

    .checkout-click p {
        display: none;
    }

    .checkout-click::before {
        left: 100%;  
    }

    .woocommerce-billing-fields__field-wrapper .apartment-info #billing_new_fild6_field {
        top: unset;
        right: unset;
    }
    .show-coupon, .btn-value-fugu {
        font-size: 12px;
    }
}

.fugu-vip-card.p_e-n {
    pointer-events: none;
    opacity: 0.4;
}

@media screen and (max-width: 768px) and (min-height: 1023px) {
    .fugu-vip-card label::after {
        left: 77%;
    }
    .show-coupon, .btn-value-fugu {
        padding-left: 0px;
        justify-content: center;
    }
    .fugu-loyalty-program .fugu-vip-card svg {
        right: 77.5%;
    }
}